Skip to main content
Resource Center/Hardware/Host Operations/Loongarch SE Operations

QueryMttyDevice

QueryMttyDevice

GET/zstack/v1/mtty-devices
GET/zstack/v1/mtty-devices/{uuid}

Operation ID

QueryMttyDevice

Since

4.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

  • inventories
    ListRequired

    For more information, see inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed information of the resource.

    • hostUuid
      StringRequired

      The host UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • type
      MttyDeviceTypeRequired

      For more information, see type

      • SE_Controller
        MttyDeviceTypeRequired

        The SE controller.

    • state
      MttyDeviceStateRequired

      For more information, see state.

      • Enabled
        MttyDeviceStateRequired

        The enabled state.

      • Disabled
        MttyDeviceStateRequired

        The disabled state.

    • virtStatus
      MttyDeviceVirtStatusRequired

      For more information, see virtStatus.

      • VFIO_MDEV_VIRTUALIZABLE
        MttyDeviceVirtStatusRequired

        Support the VFIO_MDEV virtualization.

      • VFIO_MDEV_VIRTUALIZED
        MttyDeviceVirtStatusRequired

        Virtualized by VFIO_MDEV.

      • UNVIRTUALIZABLE
        MttyDeviceVirtStatusRequired

        Cannot be virtualized.

      • UNKNOWN
        MttyDeviceVirtStatusRequired

        Unknown.